﻿<table style="width: 100%; margin: 0 auto; text-align: center; vertical-align: top" >
    <tr>
        <td style="text-align:left;width:100px;">
            @Html.DevExpress().Label(
            label =>
            {
                label.Text = "Finish Case";
            }).GetHtml()
        </td>
        <td style="width:300px;">
            @using (Html.BeginForm("CallbackUploadFinishCase", "CaseGroupingMaintenance", FormMethod.Post))
            {
                @Html.DevExpress().UploadControl(
                Uploader =>
                {
                    Uploader.Name = "UploadFinishCase";
                    Uploader.CallbackRouteValues = new { Controller = "CaseGroupingMaintenance", Action = "CallbackUploadFinishCase" };
                    Uploader.ShowProgressPanel = false;
                    //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                    Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadFinishCaseCallBack(e.callbackData);}}";
                    Uploader.Width = 300;
                }).GetHtml()
            }
        </td>
        <td style="padding-left:1em;">
            @Html.DevExpress().Button(Button =>
            {
                Button.Name = "cmdUploadFinishCase";
                Button.Text = "Upload Revise";
                Button.Width = 140;
                Button.ClientSideEvents.Click = "UploadFinishCaseClick";
                //Button.Style.Add("display", "inline-table");
                Button.UseSubmitBehavior = true;
                Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-02", "UPLOAD");
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td style="padding-left:15px;text-align:left;">
            @Html.DevExpress().HyperLink(Link =>
       {
           Link.Name = "DownloadFinishCaseLink";
           Link.Properties.Text = "Download Template";
           Link.Width = 150;
           Link.NavigateUrl = "Template/TemplateUploadFinishCase.csv";
           Link.Style.Add("display", "inline-table");
       }).GetHtml()
        </td>
    </tr>
</table>
